%define	githash	da9f7c707ad07a3526b2c43fbb039ffce00c2f23
%define	shorthash %(c=%{githash}; echo ${c:0:7})

%global develname %mklibname wkhtmltopdf -d

Name:		wkhtmltopdf
Version:	0.12.4
Release:	%mkrel 2
Summary:	Command-line utilities to convert html to pdf or image using qt5webkit
Group:		Graphics
License:	GPLv3+
URL:		http://wkhtmltopdf.org/
Source0:	https://github.com/%{name}/%{name}/archive/%{mainver}/%{name}-%{shorthash}.tar.xz
# patch from debian
Patch0:		%{name}-disable_shared_lib.patch
BuildRequires:	qt5webkit-devel
BuildRequires:	qt5webkitwidgets-devel
BuildRequires:	qt5xmlpatterns-devel
BuildRequires:	qt5svg-devel

%description
wkhtmltopdf is a command line program which permits one to create a pdf or
an image from an url, a local html file or stdin. It produces a pdf or an image
like rendered with the WebKit engine.

This program requires an X11 server to run.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name}
Requires:	qt5webkit-devel
Requires:	qt5webkitwidgets-devel
Provides:   %{name}-devel

%description -n %{develname}
This package contains header files and examples for developing applications
that use %{name}.

%prep
%setup -qn %{name}-%{githash}
%patch0 -p1

# only for git-snapshot
echo "%{version}-%{shorthash}" > VERSION

# libdir handling
sed -i.lib -e '/INSTALLBASE/s|lib|%{_lib}|' src/lib/lib.pro

# Remove BOM
sed -i.bom -e 's|\xEF\xBB\xBF||' AUTHORS
touch -r AUTHORS{.bom,}
rm -f AUTHORS.bom

%build
%{qmake_qt5}
%make

%install
rm -rf %buildroot
make install INSTALL_ROOT=%{buildroot}%{_prefix}

%files
%doc AUTHORS LICENSE CHANGELOG.md CHANGELOG-OLD INSTALL.md README.md
%{_bindir}/wkhtmlto*
%{_mandir}/man1/wkhtmlto*.1*
%{_libdir}/libwkhtmltox.so.0*

%files -n %{develname}
%doc examples/
%{_libdir}/libwkhtmltox.so
%{_includedir}/wkhtmltox/


%changelog
* Sun Jan 14 2018 bb2 <bb2> - 0.12.4-2pclos2018
- dump separate library file for a single app.
- rename devel file to proper format for a devel package

* Sat Jan 06 2018 Zen Subz <techars21 at gmail dot com> - 0.12.4-1pclos2018
- Build for PCLinuxOS
